Bug 1278755 - deadlock on connection mutex
deadlock on connection mutex
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base (Show other bugs)
7.2
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Noriko Hosoi
Viktor Ashirov
Petr Bokoc
: ZStream
Depends On:
Blocks: 1299346
  Show dependency treegraph
 
Reported: 2015-11-06 06:06 EST by German Parente
Modified: 2016-11-03 16:37 EDT (History)
6 users (show)

See Also:
Fixed In Version: 389-ds-base-1.3.5.2-1.el7
Doc Type: Bug Fix
Doc Text:
Connection objects no longer deadlock Previously, an unnecessary lock was sometimes acquired on a connection object, which could then cause a deadlock. A patch has been applied to remove the unnecessary locking, and the deadlock no longer occurs.
Story Points: ---
Clone Of:
: 1299346 (view as bug list)
Environment:
Last Closed: 2016-11-03 16:37:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description German Parente 2015-11-06 06:06:23 EST
Description of problem:

this is a clone from upstream ticket 48341 


Version-Release number of selected component (if applicable): 389-ds-base-1.3.3.1-20 


Details can be found in upstream ticket:


Thread 7 (Thread 0x7f8ab310c700 (LWP 7761)):
#0  0x00007f8b0050bb7d in poll () from /lib64/libc.so.6
#1  0x00007f8b00e43967 in _pr_poll_with_poll () from /lib64/libnspr4.so
#2  0x00007f8b02f239e8 in connection_read_operation ()
#3  0x00007f8b02f248df in connection_threadmain ()
#4  0x00007f8b00e477bb in _pt_root () from /lib64/libnspr4.so
#5  0x00007f8b007e8df5 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f8b005161ad in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f8b02eee840 (LWP 7715)):
#0  0x00007f8b007eef7d in __lll_lock_wait () from /lib64/libpthread.so.0
#1  0x00007f8b007ead68 in _L_lock_975 () from /lib64/libpthread.so.0
#2  0x00007f8b007ead11 in pthread_mutex_lock () from /lib64/libpthread.so.0
#3  0x00007f8b00e41cb9 in PR_Lock () from /lib64/libnspr4.so
#4  0x00007f8b02f291e5 in slapd_daemon ()
#5  0x00007f8b02f1c17c in main ()

This behavior has been seen in several customer cases. I am associating two ones to this ticket.
Comment 8 Mike McCune 2016-03-28 19:13:32 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 10 Simon Pichugin 2016-07-12 11:43:13 EDT
Build tested:
389-ds-base-1.3.5.10-3.el7.x86_64

Verification steps:
1. Set up IPA with SSL enabled:
ipa-server-install

2. Uninstall IPA server:
ipa-server-install --uninstall

3. Repeat 1 and 2 steps a few times.

Results:
All steps has successfully PASS. Nothing has hung.

Marking as verified.
Comment 12 errata-xmlrpc 2016-11-03 16:37:20 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2594.html

Note You need to log in before you can comment on or make changes to this bug.